Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: YadutafCorrection des objectifs : reconnaissance du boîtier
#31
Oui, je le fais à chaque fois.
Je viens de remettre en place l'ancien fichier et de supprimer le nouveau pour voir ce que cela donne. Le GX8 a bien disparu de la liste mais les objectifs continuent à être des fisheyes quelque soit le boîtier qu'on leur propose. Même avec le Canon 5D.
J'ai supprimé manuellement les fichiers xmp mais les réglages subsistent. Sans doute y a-t-il une base de données qui les conservent en plus des xmp ?
Thierry
Répondre
#32
Je viens de regarder la version des fichiers .xml dans la version d'Ubuntu 17.10 que j'ai installé dans une autre partition. C'est aussi une version="1" comme toi Thierrry.
Répondre
#33
En attendant, c'est le b... Même en ayant rétabli le fichier original, tout est fisheye ! Je nage... 


Je nage d'autant plus que les mêmes fichiers traités par RawTherapy donc avec la même bibliothèque lensfun ne présentent pas ce problème.
Thierry
Répondre
#34
Je sais pas non plus Thierry, je vais essayer avec Ubuntu 17.10 et voir comment ça se comporte.

Bon, j'ai installé la même version que toi avec les fichiers de .xml version="1".
Répondre
#35
Les pré-set sont enregistrés dans la base de données /.config/darktable/data.db. Le plus simple est de renommer ce fichier avec darktable non actif. Au lancement, darktable va recréer un nouveau data.db vierge. Après, tu peux faire une routine SQL ou éditer la base de données data.db avec DB Browser ou Sqliteman.
Voilà un post : https://redmine.darktable.org/projects/u..._and_masks
Répondre
#36
Je l'ai fait simultanément à la destruction des xml : même chose. Donc cela doit bien venir de lensfun. J'ai même renommé library.db et darktablerc sans succès. Le problème viendrait donc quand même de lensfun.

Il y a un truc de plus que je ne m'explique pas : j'ai désinstallé lensfun en utilisant synaptic, malgré tout Darktable continue à utiliser la librairie. Cela veut dire que Darktable et RawTherapee n'utilisent pas la librairie lensfun proposée par la distribution ???
Thierry
Répondre
#37
Là, je cale. Peut-être en faire une demande : https://discuss.pixls.us/

Renomme le répertoire darktable dans /.config comme ça tu sera sûr que c'est LensFun qui est en cause.
Répondre
#38
Sad  Pas de changement.
Thierry
Répondre
#39
Je crois que je vais désinstaller liblensfun1 pour ne garder que liblensfun0.
Répondre
#40
Apparemment, il s'agit d'un bug qui peut survenir lorsque DT utilise lensfun 0.3.1 et qui nécessite de recompiler lensfun. Ce qui m'ennuie dans l'histoire, c'est qu'il semble qu'il faille downgrader et surtout ne pas upgrader pour que le phénomène disparaisse. Le problème semble peu documenté. Il faut que j'approfondisse et ça ne sera pas aujourd'hui. 
Ce qui est sûr, c'est qu'il m'est indispensable de régler cela avant de continuer mon apprentissage de DT.
J'ai trouvé ces deux conversations qui évoquent un problème similaire :

http://darktable-users.narkive.com/rATyU...ion-module

https://www.mail-archive.com/darktable-u...08954.html

Si quelqu'un a déjà entendu parler de ce problème et de ses solutions, je veux bien d'autres liens.
Thierry
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)